from parallels.core.utils.entity import Entity


class IpPoolItem(Entity):
    def __init__(self, ip_pool_id, ip_address_id, ip_address_type):
        self._ip_pool_id = ip_pool_id
        self._ip_address_id = ip_address_id
        self._ip_address_type = ip_address_type

    @property
    def ip_pool_id(self):
        """
        :rtype: str | unicode
        """
        return self._ip_pool_id

    @property
    def ip_address_id(self):
        """
        :rtype: str | unicode
        """
        return self._ip_address_id

    @property
    def ip_address_type(self):
        """
        :rtype: str | unicode
        """
        return self._ip_address_type
